Fa_XH

Fort Awesome

Fa_XH stellt CMSimple_XH Templates, Plugins und dem Content Font Awesome zur Verfügung. Das Plugin wurde aus ähnlichen Gründen wie das jQuery4CMSimple Plugin entwickelt, nämlich um Konflikte zu vermeiden, wenn Font Awesome von mehreren Komponenten verwendet wird. Beispielsweise kann ein Template eine bestimmte Font Awesome Version enthalten, aber ein Plugin eine andere. Wenn alle Komponenten Fa_XH nutzen, dann verwenden alle die gleiche Version.

Weiterhin liefert Fa_XH Editor-Plugins aus, um die Verwendung von Font Awesome Icons im Content zu vereinfachen, wenn dies gewünscht wird. Zur Zeit werden nur TinyMCE 4 und CKEditor unterstützt.

Das Plugin benötigt CMSimple_XH ≥ 1.6.3 und PHP ≥ 5.3.0. Es kann unter Einhaltung der GPLv3 verwendet werden.

Änderungen sind im Changelog aufgeführt. Weitere Details können Sie online dem Handbuch entnehmen.

Wenn Sie bereits wenigstens Version 1.0 installiert haben, können Sie den folgenden Patch herunter laden und installieren. Dieser überschreibt weder Konfigurations-, Sprach- noch CSS-Dateien.